Article ID: 116865, created on Aug 22, 2013, last review on May 10, 2014

  • Applies to:
  • Business Automation 5.4

Symptoms

Integration between PBA and the Kayako ticketing system is broken after the PBA 5.4.14 update is installed. When trying to open the Kayako system in the PBA Customer Control Panel, the following error message is displayed:

[XMLPacket] Can't parse xml packet

The Kayako integration setup screen in PBA Provider Control Panel at Configuration Director > External Helpdesk > Setup shows the following message in the Status Message field:

Security header does not match, please check HSPC_SECRET value

The provider made sure that the passwords in the PBA Control Panel and in the integration file kayakofusion.php on the Kayako server are the same.

Cause

Kayako security headers behavior was changed in PBA 5.4.14, and the new version of the kayakofusion.php file from the PBA distribution was not reuploaded on the Kayako server.

Resolution

Upload the updated version of the kayakofusion.php file from the PBA Application Server to the Kayako server into the same directory where Kayako Fusion files are located. Also make sure that the kayakofusion.php is placed one directory above swift.php.

The kayakofusion.php file is located on the PBA Application Server, in the following folder:

  • PBA for Linux: /usr/local/bm/share/helpdesk/
  • PBA for Windows: C:\Program Files\Parallels\PBA\share\helpdesk

Search Words

[XMLPacket] Can't parse xml packet

Kayako support down in PBA 5.4.14

198398b282069eaf2d94a6af87dcb3ff caea8340e2d186a540518d08602aa065 210d017ddc3a076d22f0f865b1cf0730 92711db0799e8aefe8e51f12dace0496 e12cea1d47a3125d335d68e6d4e15e07

Email subscription for changes to this article
Save as PDF